using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.Dto.InStore;
using ZR.Model.Models.InStore;

namespace ZR.Service.Business.IBusinessService.InStore
{
    /// <summary>
    /// 入库管理/退料记录表service接口
    ///
    /// @author admin
    /// @date 2023-04-14
    /// </summary>
    public interface IInRetreatRecordService : IBaseService<InRetreatRecord>
    {
        PagedInfo<InRetreatRecordDto> GetList(InRetreatRecordQueryDto parm);

        int AddInRetreatRecord(InRetreatRecord parm);

        int UpdateInRetreatRecord(InRetreatRecord parm);

        void TruncateInRetreatRecord();
    }
}
